<?
	include("./config.inc.php");	//ตั้งค่าต่างๆของเวปบอร์ด
	include("./function.php");		//ฟังก์ชั่นที่ใช้ในเวปบอร์ด
	$filename="../member.txt";
	    $num=$_GET['num'];
    $key=$_GET['key'];
    $user=$_GET['user'];

		if(file_exists($filename)) 
	   {	// ถ้ามีไฟล์หัวข้อคำถาม
		$dat01 = file($filename);
         // แยกข้อมูลในแต่ละบรรทัด ออกเป็นฟิลด์ย่อย
		 for($i=0;$i<sizeof($dat01);$i++)
		 {
		      $buf = explode("|X|",$dat01[$i]);
			  if($buf[1]==$user)$split = explode("|X|",$dat01[$i]);			   
          }
      }		 	
	

	// อ่านค่า Key จากไฟล์
	if(file_exists("../$split[1].pass")) {
		$FILE=fopen("../$split[1].pass","rt");
		$key_in_file=fgets($FILE,15);	// Key กำหนดอยู่ในไฟล์ 12 ตัว ฉะนั้นต้องอ่านมา มากกว่า 12 ในที่นี้ใช้ 15 ตัว
		fclose($FILE);
	}

	if($key!=$key_in_file) {
		echo Message(65,"red","ไม่อนุญาตให้เข้าใช้หน้า Admin (ลบคำถาม - คำตอบ)","อาจเพราะ Username และหรือ Password ไม่ถูกต้อง<br>หรือยังไม่ได้ Login เข้าระบบ","<a href='./login.php'>Login อีกครั้ง</a>");
		exit();
	}
	

 	$filename="new.txt";
	if(file_exists("new.txt")) $dat01 = file("new.txt");
	$FILE=fopen($filename,"w+");
	flock($FILE,2);
	
		for ($i=0 ; $i<sizeof($dat01) ; $i++)
		{
	         	if($i!=$num)fputs($FILE,$dat01[$i]);
		}	

	fclose($FILE);
   header("Location:delete.php?key=$key&user=$user");		
?>
